[android-components](../../index.md) / [mozilla.components.browser.engine.system.matcher](../index.md) / [Trie](index.md) / [createNode](./create-node.md)

# createNode

`open fun createNode(character: `[`Char`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char/index.html)`, parent: `[`Trie`](index.md)`): `[`Trie`](index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-system/src/main/java/mozilla/components/browser/engine/system/matcher/Trie.kt#L102)

Creates a new node for the provided character and parent node.

### Parameters

`character` - the character this node represents

`parent` - the parent of this node